import { IgrScatterBase } from "./igr-scatter-base";
import { ScatterSplineSeries } from "./ScatterSplineSeries";
/**
 * Represents a IgxDataChartComponent scatter spline series
*/
export class IgrScatterSplineSeries extends IgrScatterBase {
    createImplementation() {
        return new ScatterSplineSeries();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets whether the current series shows a spline shape.
    */
    get isSpline() {
        return this.i.fe;
    }
    /**
     * Gets or sets the Stiffness property.
    */
    get stiffness() {
        return this.i.zh;
    }
    set stiffness(v) {
        this.i.zh = +v;
    }
}
